<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>com.here.android.mpa.mapping (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.here.android.mpa.mapping (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/isoline/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/customization/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Package" class="title">Package com.here.android.mpa.mapping</h1>
<div class="docSummary">
<div class="block">The mapping
        package provides classes, interfaces, and enumerations that display an
        interactive map, and related functionality that allows your application
        to create and add map content.</div>
</div>
<p>See: <a href="#package.description">Description</a></p>
</div>
<div class="contentContainer">
<ul class="blockList">
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Interface Summary table, listing interfaces, and an explanation">
<caption><span>Interface Summary</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Interface</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/Map.OnSchemeChangedListener.html" title="interface in com.here.android.mpa.mapping">Map.OnSchemeChangedListener</a></td>
<td class="colLast">
<div class="block">Listener for <code>Map</code> scheme changed events.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/Map.OnTransformListener.html" title="interface in com.here.android.mpa.mapping">Map.OnTransformListener</a></td>
<td class="colLast">
<div class="block">Listener for <code>Map</code> transform events.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapGesture.html" title="interface in com.here.android.mpa.mapping">MapGesture</a></td>
<td class="colLast">
<div class="block">Encapsulates all user interactions and touch gestures.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping">MapGesture.OnGestureListener</a></td>
<td class="colLast">
<div class="block">Event Listener interface for gesture events.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapMarker.OnDragListener.html" title="interface in com.here.android.mpa.mapping">MapMarker.OnDragListener</a></td>
<td class="colLast">
<div class="block">Callback interface for drag events on <code>MapMarker</code> objects.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.Light.html" title="interface in com.here.android.mpa.mapping">MapModelObject.Light</a></td>
<td class="colLast">
<div class="block">Base Interface for all Lights supported by <code>MapModel</code> This class will be extended in
 the new future with more methods.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.Material.html" title="interface in com.here.android.mpa.mapping">MapModelObject.Material</a></td>
<td class="colLast">
<div class="block">Base Interface for all Materials supported by <code>MapModel</code> This class will be extended in
 future with more methods.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping">OnMapRenderListener</a></td>
<td class="colLast">
<div class="block">Represents an abstract class listener to provide notification upon completion of a
 <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a> rendering event.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/TrafficEvent.Listener.html" title="interface in com.here.android.mpa.mapping">TrafficEvent.Listener</a>&lt;T&gt;</td>
<td class="colLast">
<div class="block">Event Listener interface for traffic event</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListener.html" title="interface in com.here.android.mpa.mapping">TransitDatabase.OnGetTransitInfoListener</a></td>
<td class="colLast">
<div class="block">Represents a listener to provide information about <code>TransitDatabase</code> events.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/ZoomLevelToTiltFunction.html" title="interface in com.here.android.mpa.mapping">ZoomLevelToTiltFunction</a></td>
<td class="colLast">
<div class="block">Defines a interface to implement a function that provides a tilt value
 output for a zoom level input.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Class Summary table, listing classes, and an explanation">
<caption><span>Class Summary</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Class</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/AndroidXMapFragment.html" title="class in com.here.android.mpa.mapping">AndroidXMapFragment</a></td>
<td class="colLast">
<div class="block">A fragment class that automatically creates a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a> and handles map UI interactions
 such as panning and zooming.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/GeoMesh.html" title="class in com.here.android.mpa.mapping">GeoMesh</a></td>
<td class="colLast">
<div class="block">Represents the mesh data for a <a href="../../../../../com/here/android/mpa/mapping/MapGeoModel.html" title="class in com.here.android.mpa.mapping"><code>MapGeoModel</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/HistoricalTrafficRasterTileSource.html" title="class in com.here.android.mpa.mapping">HistoricalTrafficRasterTileSource</a></td>
<td class="colLast">
<div class="block">This class displays a street map tile overlay showing the typical traffic pattern for a specific
 time point during the week.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/LocalMesh.html" title="class in com.here.android.mpa.mapping">LocalMesh</a></td>
<td class="colLast">
<div class="block">Represents the mesh data for a <a href="../../../../../com/here/android/mpa/mapping/MapLocalModel.html" title="class in com.here.android.mpa.mapping"><code>MapLocalModel</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/Location.html" title="class in com.here.android.mpa.mapping">Location</a></td>
<td class="colLast">
<div class="block">Class which provides ways to retrieve certain parameters of an icon or a marker.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/LocationInfo.html" title="class in com.here.android.mpa.mapping">LocationInfo</a></td>
<td class="colLast">
<div class="block">Class which contains information about a particular icon/marker.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping">Map</a></td>
<td class="colLast">
<div class="block">A <code>Map</code> object represents a virtual model of the world.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/Map.PixelResult.html" title="class in com.here.android.mpa.mapping">Map.PixelResult</a></td>
<td class="colLast">
<div class="block">Result class for conversion of a GeoCoordinate to screen pixel coordinates.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/Map.Scheme.html" title="class in com.here.android.mpa.mapping">Map.Scheme</a></td>
<td class="colLast">
<div class="block">Represents a collection of schemes that can be applied to map using
 <a href="../../../../../com/here/android/mpa/mapping/Map.html#setMapScheme-java.lang.String-"><code>Map.setMapScheme(String)</code></a> method.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.html" title="class in com.here.android.mpa.mapping">MapBuildingGroup</a></td>
<td class="colLast">
<div class="block">Represents a group of extruded buildings.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.html" title="class in com.here.android.mpa.mapping">MapBuildingLayer</a></td>
<td class="colLast">
<div class="block">Represents a map layer that enables interactions with extruded buildings.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.BuildingSearchResult.html" title="class in com.here.android.mpa.mapping">MapBuildingLayer.BuildingSearchResult</a></td>
<td class="colLast">
<div class="block">Represents search results information for a building search</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapBuildingObject.html" title="class in com.here.android.mpa.mapping">MapBuildingObject</a></td>
<td class="colLast">
<div class="block">This class represents a specific building on the map.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapCartoMarker.html" title="class in com.here.android.mpa.mapping">MapCartoMarker</a></td>
<td class="colLast">
<div class="block">Represents a selectable cartography icon displayed at a geographical position on a map.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapCircle.html" title="class in com.here.android.mpa.mapping">MapCircle</a></td>
<td class="colLast">
<div class="block">Represents a <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> in the shape of a circle.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapContainer.html" title="class in com.here.android.mpa.mapping">MapContainer</a></td>
<td class="colLast">
<div class="block">Represents a container that determines the stacking order of objects on a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapFragment.html" title="class in com.here.android.mpa.mapping">MapFragment</a></td>
<td class="colLast">Deprecated
<div class="block"><span class="deprecationComment">As of SDK 3.10.</span></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapGeoModel.html" title="class in com.here.android.mpa.mapping">MapGeoModel</a></td>
<td class="colLast">
<div class="block">A <code>MapGeoModel</code> is a <a href="../../../../../com/here/android/mpa/common/GeoCoordinate.html" title="class in com.here.android.mpa.common"><code>GeoCoordinate</code></a> mesh
 displayed on a map.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.OnGestureListenerAdapter.html" title="class in com.here.android.mpa.mapping">MapGesture.OnGestureListener.OnGestureListenerAdapter</a></td>
<td class="colLast">
<div class="block">Default implementation for the OnGestureListener interface.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapLabeledMarker.html" title="class in com.here.android.mpa.mapping">MapLabeledMarker</a></td>
<td class="colLast">
<div class="block">This class represents a labeled icon on the <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapLocalModel.html" title="class in com.here.android.mpa.mapping">MapLocalModel</a></td>
<td class="colLast">
<div class="block">Represents a relative local coordinate mesh displayed on a map.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapMarker.html" title="class in com.here.android.mpa.mapping">MapMarker</a></td>
<td class="colLast">
<div class="block">Represents a marker used to display an icon at a geographical position on a map.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.html" title="class in com.here.android.mpa.mapping">MapModelObject</a></td>
<td class="colLast">
<div class="block">Base class for <a href="../../../../../com/here/android/mpa/mapping/MapLocalModel.html" title="class in com.here.android.mpa.mapping"><code>MapLocalModel</code></a> and <a href="../../../../../com/here/android/mpa/mapping/MapGeoModel.html" title="class in com.here.android.mpa.mapping"><code>MapGeoModel</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.DirectionalLight.html" title="class in com.here.android.mpa.mapping">MapModelObject.DirectionalLight</a></td>
<td class="colLast">
<div class="block">This class specifies a directional light.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapModelObject.PhongMaterial.html" title="class in com.here.android.mpa.mapping">MapModelObject.PhongMaterial</a></td>
<td class="colLast">
<div class="block"><code>PhongMaterial</code> is used for shading a model.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping">MapObject</a></td>
<td class="colLast">
<div class="block">Represents a base class for all map-related objects that users can add to a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapOffScreenRenderer.html" title="class in com.here.android.mpa.mapping">MapOffScreenRenderer</a></td>
<td class="colLast">
<div class="block"><a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a> derivation of the <a href="../../../../../com/here/android/mpa/common/OffScreenRenderer.html" title="interface in com.here.android.mpa.common"><code>OffScreenRenderer</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapOverlay.html" title="class in com.here.android.mpa.mapping">MapOverlay</a></td>
<td class="colLast">
<div class="block">The MapOverlay class can be used to display custom Android View-based content at a
 fixed location on the map.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapPolygon.html" title="class in com.here.android.mpa.mapping">MapPolygon</a></td>
<td class="colLast">
<div class="block">A graphical representation of a <code>GeoPolygon</code> to be rendered on a map.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping">MapPolyline</a></td>
<td class="colLast">
<div class="block">A graphical representation of a <a href="../../../../../com/here/android/mpa/common/GeoPolyline.html" title="class in com.here.android.mpa.common"><code>GeoPolyline</code></a> that
 can be rendered on a map.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapProxyObject.html" title="class in com.here.android.mpa.mapping">MapProxyObject</a></td>
<td class="colLast">
<div class="block">Represents a base interface for all view objects rendered as part of the map.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource</a></td>
<td class="colLast">
<div class="block">Represents an interface for a map raster tile source, used to render custom tile images on top of
 a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.MapTileSystemHelper.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource.MapTileSystemHelper</a></td>
<td class="colLast">
<div class="block">Represents a helper class for converting raster tile coordinates to other tile system values.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.TileResult.html" title="class in com.here.android.mpa.mapping">MapRasterTileSource.TileResult</a></td>
<td class="colLast">
<div class="block">Result class for getting tile.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapRoute.html" title="class in com.here.android.mpa.mapping">MapRoute</a></td>
<td class="colLast">
<div class="block">Represents a <a href="../../../../../com/here/android/mpa/routing/Route.html" title="class in com.here.android.mpa.routing"><code>Route</code></a> that can be displayed on a
 <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapScreenMarker.html" title="class in com.here.android.mpa.mapping">MapScreenMarker</a></td>
<td class="colLast">
<div class="block">Represents a marker used to display an icon at a screen position on a map.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapState.html" title="class in com.here.android.mpa.mapping">MapState</a></td>
<td class="colLast">
<div class="block">Represents a composite class comprised of tilt, orientation, zoom level and
 center point for a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapTrafficLayer.html" title="class in com.here.android.mpa.mapping">MapTrafficLayer</a></td>
<td class="colLast">
<div class="block">Class to represent Traffic rendering information.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapTransitLayer.html" title="class in com.here.android.mpa.mapping">MapTransitLayer</a></td>
<td class="colLast">
<div class="block">Represents a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a> layer that can display any combination of transit stops, accesses, and
 lines (including none).</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapView.html" title="class in com.here.android.mpa.mapping">MapView</a></td>
<td class="colLast">
<div class="block">Represents a map view.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapView.IconGestureListener.html" title="class in com.here.android.mpa.mapping">MapView.IconGestureListener</a></td>
<td class="colLast">
<div class="block">Encapsulates user interactions with icons on map.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/Mesh.html" title="class in com.here.android.mpa.mapping">Mesh</a></td>
<td class="colLast">
<div class="block">Represents a base class specifying common mesh data for a <code>MapGeoModelObject</code> or
 <code>MapLocalModelObject</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.OnMapRenderListenerAdapter.html" title="class in com.here.android.mpa.mapping">OnMapRenderListener.OnMapRenderListenerAdapter</a></td>
<td class="colLast">
<div class="block">Default implementation for the OnMapRenderListener interface.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/OperatingHours.html" title="class in com.here.android.mpa.mapping">OperatingHours</a></td>
<td class="colLast">
<div class="block">Represents the hours of operation for different days of the week, plus holidays.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html" title="class in com.here.android.mpa.mapping">PositionIndicator</a></td>
<td class="colLast">
<div class="block">Represents a class for rendering a map marker to indicate the current position.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/SafetySpotInfo.html" title="class in com.here.android.mpa.mapping">SafetySpotInfo</a></td>
<td class="colLast">
<div class="block">Contains information about a particular safety spot.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/SafetySpotObject.html" title="class in com.here.android.mpa.mapping">SafetySpotObject</a></td>
<td class="colLast">
<div class="block">Encapsulates information about a public safety spot on a map.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/SupportMapFragment.html" title="class in com.here.android.mpa.mapping">SupportMapFragment</a></td>
<td class="colLast">Deprecated
<div class="block"><span class="deprecationComment">As of SDK 3.13.</span></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/TrafficEvent.html" title="class in com.here.android.mpa.mapping">TrafficEvent</a></td>
<td class="colLast">
<div class="block">Represents information about a traffic event.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/TrafficEventObject.html" title="class in com.here.android.mpa.mapping">TrafficEventObject</a></td>
<td class="colLast">
<div class="block">Encapsulates information about a traffic event on a map.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/TransitAccessInfo.html" title="class in com.here.android.mpa.mapping">TransitAccessInfo</a></td>
<td class="colLast">
<div class="block">Data structure class containing information about Transit Access locations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/TransitAccessObject.html" title="class in com.here.android.mpa.mapping">TransitAccessObject</a></td>
<td class="colLast">
<div class="block">Encapsulates information about a public transit access point on a map.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.html" title="class in com.here.android.mpa.mapping">TransitDatabase</a></td>
<td class="colLast">
<div class="block">Represents an interface used to get information about public transit elements.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListenerAdapter.html" title="class in com.here.android.mpa.mapping">TransitDatabase.OnGetTransitInfoListenerAdapter</a></td>
<td class="colLast">
<div class="block">Represents a listener to provide information about <code>TransitDatabase</code> events.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/TransitLineInfo.html" title="class in com.here.android.mpa.mapping">TransitLineInfo</a></td>
<td class="colLast">
<div class="block">Represents information about a public transit line.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/TransitLineObject.html" title="class in com.here.android.mpa.mapping">TransitLineObject</a></td>
<td class="colLast">
<div class="block">Encapsulates information about a public transit line on a map.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/TransitLineSegmentObject.html" title="class in com.here.android.mpa.mapping">TransitLineSegmentObject</a></td>
<td class="colLast">
<div class="block">Encapsulates information about a transit line segment on the map.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/TransitStopInfo.html" title="class in com.here.android.mpa.mapping">TransitStopInfo</a></td>
<td class="colLast">
<div class="block">Represents information about a public transit stop.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/TransitStopObject.html" title="class in com.here.android.mpa.mapping">TransitStopObject</a></td>
<td class="colLast">
<div class="block">Encapsulates information about a public transit stop on a map.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/TransitSystemInfo.html" title="class in com.here.android.mpa.mapping">TransitSystemInfo</a></td>
<td class="colLast">
<div class="block">Represents information about a public transit system.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/UrlMapRasterTileSourceBase.html" title="class in com.here.android.mpa.mapping">UrlMapRasterTileSourceBase</a></td>
<td class="colLast">
<div class="block">Represents an abstract base class for URL map raster tile sources.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="typeSummary" border="0" cellpadding="3" cellspacing="0" summary="Enum Summary table, listing enums, and an explanation">
<caption><span>Enum Summary</span><span class="tabEnd"> </span></caption>
<tr>
<th class="colFirst" scope="col">Enum</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/LocationInfo.Field.html" title="enum in com.here.android.mpa.mapping">LocationInfo.Field</a></td>
<td class="colLast">
<div class="block">Fields for a LocationInfo object which can be retrieved</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/Map.Animation.html" title="enum in com.here.android.mpa.mapping">Map.Animation</a></td>
<td class="colLast">
<div class="block">Represents values that describe animation types for on-screen map movements.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/Map.FleetFeature.html" title="enum in com.here.android.mpa.mapping">Map.FleetFeature</a></td>
<td class="colLast">
<div class="block">Fleet features to be rendered on the map</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/Map.LayerCategory.html" title="enum in com.here.android.mpa.mapping">Map.LayerCategory</a></td>
<td class="colLast">
<div class="block">Definition for layer categories within a map.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/Map.PedestrianFeature.html" title="enum in com.here.android.mpa.mapping">Map.PedestrianFeature</a></td>
<td class="colLast">
<div class="block">Pedestrian features to be rendered on the map</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/Map.PixelResult.Error.html" title="enum in com.here.android.mpa.mapping">Map.PixelResult.Error</a></td>
<td class="colLast">
<div class="block">Error code for the computation of GeoCoordinate to screen pixel coordinate projection</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/Map.Projection.html" title="enum in com.here.android.mpa.mapping">Map.Projection</a></td>
<td class="colLast">
<div class="block">The projection scheme used to render the map.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.BuildingFace.html" title="enum in com.here.android.mpa.mapping">MapBuildingGroup.BuildingFace</a></td>
<td class="colLast">
<div class="block">Addressable building faces for the <a href="../../../../../com/here/android/mpa/mapping/MapBuildingObject.html" title="class in com.here.android.mpa.mapping"><code>MapBuildingObject</code></a> instances in this building
 group.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.BuildingSearchResult.ErrorCode.html" title="enum in com.here.android.mpa.mapping">MapBuildingLayer.BuildingSearchResult.ErrorCode</a></td>
<td class="colLast">
<div class="block">Error codes for building search result</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.DefaultBuildingColor.html" title="enum in com.here.android.mpa.mapping">MapBuildingLayer.DefaultBuildingColor</a></td>
<td class="colLast">
<div class="block">A set of pre-defined colors to change a <a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.html" title="class in com.here.android.mpa.mapping"><code>MapBuildingGroup</code></a>'s color property</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.DefaultBuildingGroups.html" title="enum in com.here.android.mpa.mapping">MapBuildingLayer.DefaultBuildingGroups</a></td>
<td class="colLast">
<div class="block">Default groups of buildings on the <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapCircle.PatternStyle.html" title="enum in com.here.android.mpa.mapping">MapCircle.PatternStyle</a></td>
<td class="colLast">
<div class="block"><a href="../../../../../com/here/android/mpa/mapping/MapCircle.PatternStyle.html" title="enum in com.here.android.mpa.mapping"><code>MapCircle.PatternStyle</code></a> represents available patterns styles for Line or Border.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapObject.Type.html" title="enum in com.here.android.mpa.mapping">MapObject.Type</a></td>
<td class="colLast">
<div class="block">Represents values describing the types of <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> objects that can be added to a
 <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html" title="enum in com.here.android.mpa.mapping">MapOverlayType</a></td>
<td class="colLast">
<div class="block">Represents values describing the display grouping of <a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><code>MapObject</code></a> objects
 when added to a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapPolygon.CapStyle.html" title="enum in com.here.android.mpa.mapping">MapPolygon.CapStyle</a></td>
<td class="colLast">
<div class="block"><a href="../../../../../com/here/android/mpa/mapping/MapPolygon.CapStyle.html" title="enum in com.here.android.mpa.mapping"><code>MapPolygon.CapStyle</code></a> represents line ending cap rendering styles.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapPolygon.PatternStyle.html" title="enum in com.here.android.mpa.mapping">MapPolygon.PatternStyle</a></td>
<td class="colLast">
<div class="block"><a href="../../../../../com/here/android/mpa/mapping/MapPolygon.PatternStyle.html" title="enum in com.here.android.mpa.mapping"><code>MapPolygon.PatternStyle</code></a> represents available patterns styles for Line or Border.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.CapStyle.html" title="enum in com.here.android.mpa.mapping">MapPolyline.CapStyle</a></td>
<td class="colLast">
<div class="block"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.CapStyle.html" title="enum in com.here.android.mpa.mapping"><code>MapPolyline.CapStyle</code></a> represents line ending cap rendering styles.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.PatternStyle.html" title="enum in com.here.android.mpa.mapping">MapPolyline.PatternStyle</a></td>
<td class="colLast">
<div class="block"><a href="../../../../../com/here/android/mpa/mapping/MapPolyline.PatternStyle.html" title="enum in com.here.android.mpa.mapping"><code>MapPolyline.PatternStyle</code></a> represents available patterns styles for Line or Border.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapProxyObject.Type.html" title="enum in com.here.android.mpa.mapping">MapProxyObject.Type</a></td>
<td class="colLast">
<div class="block">Represents values describing the types of <a href="../../../../../com/here/android/mpa/mapping/MapProxyObject.html" title="class in com.here.android.mpa.mapping"><code>MapProxyObject</code></a> objects that
 can be added to a <a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><code>Map</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.TileResult.Error.html" title="enum in com.here.android.mpa.mapping">MapRasterTileSource.TileResult.Error</a></td>
<td class="colLast">
<div class="block">Error code for raster tile result.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.Transparency.html" title="enum in com.here.android.mpa.mapping">MapRasterTileSource.Transparency</a></td>
<td class="colLast">
<div class="block">Represents values describing the state of raster tile image transparency.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapRoute.RenderType.html" title="enum in com.here.android.mpa.mapping">MapRoute.RenderType</a></td>
<td class="colLast">
<div class="block">Render style of the route.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapTrafficLayer.RenderLayer.html" title="enum in com.here.android.mpa.mapping">MapTrafficLayer.RenderLayer</a></td>
<td class="colLast">
<div class="block">Represents values describing various traffic layers that can be displayed within a
 <code>MapTrafficLayer</code>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/MapTransitLayer.Mode.html" title="enum in com.here.android.mpa.mapping">MapTransitLayer.Mode</a></td>
<td class="colLast">
<div class="block">Represents values describing various ways to display public transit within a
 <code>MapTransitLayer</code>.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/SafetySpotInfo.Type.html" title="enum in com.here.android.mpa.mapping">SafetySpotInfo.Type</a></td>
<td class="colLast"> </td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/TrafficEvent.Severity.html" title="enum in com.here.android.mpa.mapping">TrafficEvent.Severity</a></td>
<td class="colLast">
<div class="block">Indicates the serverity of the traffic events.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/TransitAccessInfo.Attribute.html" title="enum in com.here.android.mpa.mapping">TransitAccessInfo.Attribute</a></td>
<td class="colLast">
<div class="block">Represents values describing the attributes of transit access.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/TransitAccessInfo.Method.html" title="enum in com.here.android.mpa.mapping">TransitAccessInfo.Method</a></td>
<td class="colLast">
<div class="block">Represents values describing the accessible methods of transit access.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.Error.html" title="enum in com.here.android.mpa.mapping">TransitDatabase.Error</a></td>
<td class="colLast">
<div class="block">Represents values describing possible kinds of errors that can be encountered while
 initiating an asynchronous request to a <a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.html" title="class in com.here.android.mpa.mapping"><code>TransitDatabase</code></a>.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/TransitLineInfo.Attribute.html" title="enum in com.here.android.mpa.mapping">TransitLineInfo.Attribute</a></td>
<td class="colLast">
<div class="block">Represents values describing the attributes of transit line.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/TransitStopInfo.Attribute.html" title="enum in com.here.android.mpa.mapping">TransitStopInfo.Attribute</a></td>
<td class="colLast">
<div class="block">Represents values describing attributes of transit stops</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/TransitStopInfo.ParkingSize.html" title="enum in com.here.android.mpa.mapping">TransitStopInfo.ParkingSize</a></td>
<td class="colLast">
<div class="block">Number of parking spots available.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="../../../../../com/here/android/mpa/mapping/TransitSystemInfo.Attribute.html" title="enum in com.here.android.mpa.mapping">TransitSystemInfo.Attribute</a></td>
<td class="colLast">
<div class="block">Attributes or LOGOS of a Transit System.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
<a name="package.description">
<!--   -->
</a>
<h2 title="Package com.here.android.mpa.mapping Description">Package com.here.android.mpa.mapping Description</h2>
<div class="block">The mapping
        package provides classes, interfaces, and enumerations that display an
        interactive map, and related functionality that allows your application
        to create and add map content.
        <p>Some key classes and interfaces in this package are:</p>
        <ul>
                <li><code>Map</code></li>
                <li><code>MapGesture</code></li>
                <li><code>AndroidXMapFragment</code></li>
                <li><code>MapObject</code></li>
                <li><code>MapTransitLayer</code></li>
        </ul>
        <p><b>Map</b></p>
        <p>The <code>Map</code> interface represents the interactive map itself.
        </p>
        <p>Map schemes (e.g. Satellite, Terrain, etc.) can be changed as
                follows:
        </p><pre>
    
    map.setMapScheme ( Map.Scheme.NORMAL_DAY );</pre>
        
        <p>Refer to the <code>Map.Scheme</code> class for a description of
                supported schemes.
        </p>
        <p>A Map can contain visual objects, which are instantiated from
                the children of the <code>MapObject</code> class, such as:
        </p><ul>
                <li><code>MapCircle</code></li>
                <li><code>MapMarker</code></li>
                <li><code>MapPolygon</code></li>
                <li><code>MapPolyline</code></li>
                <li><code>MapRoute</code></li>
        </ul>
        
        <p>A polygon, for example, can be drawn on the map as follows:</p>
        <pre>
    
    ...
    MapPolygon polygon = new MapPolygon();
    map.addMapObject( polygon );</pre>
        
        <p>Notice that the parent map object class, <code>MapContainer</code>,
                does not itself represent a visual object.
                A MapContainer determines the stacking order (z-index ordering) of
                objects on a map.
        </p>
        <p><b>MapObjects and z-index ordering</b></p>
        <p>The z-index of a MapObject specifies its stacking order within a
                Map. In general, an object with a higher z-index appears closer to the
                viewer than an object with a lower z-index.</p>
        <p>The stack order of a Map is defined hierarchically, according to
                the following specifications:
        </p><ul>
                <li>The MapObject with the highest z-index is drawn on top of any
                        other instances of MapObject.</li>
                <li>Within a MapContainer, the MapObject with highest z-index is
                        drawn on top of any other instances of MapObject.</li>
        </ul>
        
        <p><b>Colors</b></p>
        <p>Color values in this package are defined in terms of ARGB
                integer values, where the 24 least significant bits define red, green,
                and blue components while the eight most significant bits define the
                alpha value (0xAARRGGBB) of opacity, for which 0xFFRRGGBB is fully
                opaque and 0x00RRGGBB is fully transparent.</p>
        <p>Note: if the target platform does not support transparency, the
                alpha value is ignored and the color is displayed as fully opaque.</p></div>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li class="navBarCell1Rev">Package</li>
<li>Class</li>
<li><a href="package-use.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/isoline/package-summary.html">Prev Package</a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/customization/package-summary.html">Next Package</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/package-summary.html" target="_top">Frames</a></li>
<li><a href="package-summary.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
